public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/yamlpath/
Date: Mon, 16 Jan 2023 20:50:22 +0000 (UTC)	[thread overview]
Message-ID: <1673902219.ec1e6914af0d9df6f69391cd0c1045e955b35ec5.mgorny@gentoo> (raw)

commit:     ec1e6914af0d9df6f69391cd0c1045e955b35ec5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 16 18:43:05 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan 16 20:50:19 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec1e6914

dev-python/yamlpath: Bump to 3.7.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/yamlpath/Manifest              |  1 +
 dev-python/yamlpath/yamlpath-3.7.0.ebuild | 54 +++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/yamlpath/Manifest b/dev-python/yamlpath/Manifest
index 9aacfa8f9ca7..a1716d054ec1 100644
--- a/dev-python/yamlpath/Manifest
+++ b/dev-python/yamlpath/Manifest
@@ -1 +1,2 @@
 DIST yamlpath-3.6.9.gh.tar.gz 220753 BLAKE2B 8110cfccc7376b17bf0248e7a1b4b09962e7180629c3dc0ca5e9106d64a4ce0f3ff3c5aa626ed388ba13d412fb3d0b08d4d8a659c0322a249c28cad5283e133b SHA512 8a7802b890a32423c85f24fc39d7d614a87f30f72ca0e77621ba10eb69fed4bb3c8fa70f687ab30eab1f08036c14a03b4a007332246a5cdf5b15ea47b7280bd4
+DIST yamlpath-3.7.0.gh.tar.gz 224352 BLAKE2B 9a5483847fa765c3f06a4746b6c364ba66657f739383f0eeaac4f639bf44762bf1d3b7c468ec376d2d8d8bc6669daa60512f2202de6ec3407a5dd674d022f50e SHA512 d0ca007065f5efdc7c876d9596b37028881c4b3782f478f4dd87525cc6e316005bf23b930ea723bf524bc455c492c9eb07c50ccfc9333d9d794f110fa63dd268

diff --git a/dev-python/yamlpath/yamlpath-3.7.0.ebuild b/dev-python/yamlpath/yamlpath-3.7.0.ebuild
new file mode 100644
index 000000000000..ad955b668138
--- /dev/null
+++ b/dev-python/yamlpath/yamlpath-3.7.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Command-line processors for YAML/JSON/Compatible data"
+HOMEPAGE="
+	https://github.com/wwkimball/yamlpath/
+	https://github.com/wwkimball/yamlpath/wiki
+"
+SRC_URI="
+	https://github.com/wwkimball/yamlpath/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	sed -i -e '/ruamel\.yaml/d' setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	local EPYTEST_DESELECT=()
+
+	if ! has_version "dev-ruby/hiera-eyaml"; then
+		EPYTEST_DESELECT+=(
+			tests/test_commands_eyaml_rotate_keys.py
+			tests/test_commands_yaml_merge.py::Test_commands_yaml_merge::test_yaml_syntax_error
+			tests/test_commands_yaml_paths.py::Test_yaml_paths::test_search_encrypted_values
+		)
+	fi
+
+	epytest
+}


             reply	other threads:[~2023-01-16 20:50 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-16 20:50 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-04-08  6:08 [gentoo-commits] repo/gentoo:master commit in: dev-python/yamlpath/ Michał Górny
2023-03-31  4:32 Michał Górny
2023-01-27 20:10 Michał Górny
2022-11-14  5:07 Michał Górny
2022-11-05 22:18 Zac Medico
2022-11-05 21:49 Zac Medico
2022-11-03  0:04 Zac Medico
2022-09-28 18:34 Michał Górny
2022-09-28  1:46 Zac Medico
2022-09-27  4:09 Zac Medico
2022-09-19 19:02 Arthur Zamarin
2022-09-19 19:02 Arthur Zamarin
2022-06-05  5:53 Michał Górny
2022-05-16 13:30 Michał Górny
2021-12-06 23:07 Michał Górny
2021-10-28 14:06 Arthur Zamarin
2021-09-15 23:36 Zac Medico
2021-09-15 23:19 Zac Medico
2021-06-19 22:12 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1673902219.ec1e6914af0d9df6f69391cd0c1045e955b35ec5.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox